set(SOURCES 
    "all.cpp"
    "TM1640/TM16xx.cpp"
    "TM1640/TM1640.cpp"
    "SparkFunBQ27441/SparkFunBQ27441.cpp"
    "esp_lcd_ili9488/esp_lcd_ili9488.c"
    "bottom_half.cpp"
    "char_lcd.cpp"
    "game_info.cpp"
    "game_timer.cpp"
    "i2c_lcd_pcf8574.c"
    "i2c.cpp"
    "leds.cpp"
    "perh.cpp"
    "power.cpp"
    "sd.cpp"
    "speaker.cpp"
    "sseg.cpp"
    "starcode.cpp"
    "state_tracking.cpp"
    "tft.cpp"
    "wires.cpp"
    "wlvgl.cpp"
)

target_sources(${COMPONENT_LIB} PRIVATE ${SOURCES})
